# Uses of Class
org.apache.solr.common.ToleratedUpdateError

Packages that use ToleratedUpdateError
Package
Description
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.

## Uses of ToleratedUpdateError in org.apache.solr.common

Methods in org.apache.solr.common that return ToleratedUpdateError
Modifier and Type
Method
Description
`static ToleratedUpdateError`
ToleratedUpdateError.`parseMap(SimpleOrderedMap<String> data)`
returns a ToleratedUpdateError instance from the data in this Map
`static ToleratedUpdateError`
ToleratedUpdateError.`parseMetadataIfToleratedUpdateError(String metadataKey, String metadataVal)`
returns a ToleratedUpdateError instance if this metadataKey is one we care about, else null
Method parameters in org.apache.solr.common with type arguments of type ToleratedUpdateError
Modifier and Type
Method
Description
`static List<SimpleOrderedMap<String>>`
ToleratedUpdateError.`formatForResponseHeader(List<ToleratedUpdateError> errs)`
returns a list of maps of simple objects suitable for putting in a SolrQueryResponse header